Package org.apache.sling.cms.core.models

## Class ContentBreadcrumb

- java.lang.Object
- - org.apache.sling.cms.core.models.ContentBreadcrumb

    @ProviderType
    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class)
    public class ContentBreadcrumb
    extends Object

Model for constructing the content breadcrumb.

### Constructor Summary

Constructors
`ContentBreadcrumb​(org.apache.sling.api.SlingHttpServletRequest request, I18NProvider i18nProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCurrentItem()`
`List<org.apache.commons.lang3.tuple.Pair<String,​String>>` `getParents()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentBreadcrumb

    @Inject
    public ContentBreadcrumb​(org.apache.sling.api.SlingHttpServletRequest request,
                             I18NProvider i18nProvider)

### Method Detail

#### getCurrentItem

    public String getCurrentItem()

#### getParents

    public List<org.apache.commons.lang3.tuple.Pair<String,​String>> getParents()